<?php
// $Horde: babel/lib/base.php,v 1.17 2004/10/19 00:45:22 chuck Exp $
/*
 * Babel base inclusion file.
 *
 * This file brings in all of the dependencies that every Babel
 * script will need and sets up objects that all scripts use.
 */

// Check for a prior definition of HORDE_BASE (perhaps by an
// auto_prepend_file definition for site customization).
if (!defined('HORDE_BASE')) {
    @define('HORDE_BASE', dirname(__FILE__) . '/../..');
}

// Load the Horde Framework core, and set up inclusion paths.
require_once HORDE_BASE . '/lib/core.php';

// Registry.
$registry = &Registry::singleton();
if (is_a(($pushed = $registry->pushApp('babel', !defined('AUTH_HANDLER'))), 'PEAR_Error')) {
    if ($pushed->getCode() == 'permission_denied') {
        Horde::authenticationFailureRedirect(); 
    }
    Horde::fatal($pushed, __FILE__, __LINE__, false);
}
$conf = &$GLOBALS['conf'];
@define('BABEL_TEMPLATES', $registry->get('templates'));

// Notification system.
$notification = &Notification::singleton();
$notification->attach('status');

// Redirect the user to the Horde login page if they haven't authenticated.
if (!Auth::isAuthenticated()) {
    Horde::authenticationFailureRedirect();
}

// Find the base file path of Babel.
@define('BABEL_BASE', dirname(__FILE__) . '/..');

// Babel base library.
require_once BABEL_BASE . '/lib/Babel.php';

// Help.
require_once 'Horde/Help.php';

// CVS library.
require_once BABEL_BASE . '/lib/CVSLib.php';
$CVS = &new CVSLib($conf);

require_once 'DB.php';
$DB = &DB::connect('mysql://jon:foo@localhost+unix/i18n', true);
if (is_a($DB, 'PEAR_Error')) {
    Horde::fatal($DB, __FILE__, __LINE__);
}
$DB->fetchmode = DB_FETCHMODE_ASSOC;

require_once 'layout.php';
require_once 'cvs_functions.php';

$USER_LANGS = array();
