<?php
/*
 * $Horde: babel/strings.php,v 1.11 2005/01/03 14:34:48 jan Exp $
 *
 * Copyright 2002-2005 Jon Parise <jon@horde.org>
 * Copyright 2000, 2001 easyDNS Technologies Inc.
 *
 * See the enclosed file LICENSE for license information (BSD). If you
 * did not receive this file, see http://www.horde.org/asl.php.
 */

define('BABEL_BASE', dirname(__FILE__));
require_once BABEL_BASE . '/lib/base.php';

$where = $CVS->cvsRoot();
$title = 'Strings in ' . $PATH_INFO;
$subhead = '[ <b>' . Horde::link(Babel::url('view')) . 'i18n</a></b> ] ';

if (isset($PATH_INFO)) {
	$where .= $PATH_INFO;
	$title = 'Strings in '.$PATH_INFO;
	$temp = explode('/', $PATH_INFO);
	$last = array_pop($temp);
	$path = '';
	foreach ($temp as $part) {
		if ($part) {
			$path .= '/' . $part;
            $subhead.= ' / <b>' . Horde::link(Babel::url('view', $path)) . $part . '</a></b>';
		}
	}
    $subhead.= ' / <b>' . Horde::link(Babel::url('strings', $path . '/' . $last)) . $last . '</a></b>';
}

require BABEL_TEMPLATES . '/common-header.inc';
require BABEL_TEMPLATES . '/page-header.inc';

if (!isset($_COOKIE['i18n_lang']) || $_COOKIE['i18n_lang']==$BASE_LANG) {
    $error = _("You will need to select a language above before you can work with any of the strings.");
    include BABEL_TEMPLATES . '/strings/error.inc';
}

$lang = @$_COOKIE['i18n_lang'];

require BABEL_TEMPLATES . '/strings/header.inc';

# get page_id

$query = "SELECT page_id, CONCAT(path,'/',file) AS full, db_revision " .
	"FROM pages WHERE file !='' HAVING full LIKE '" . $where . "%' ";
	"ORDER BY path, file";

$q = $DB->query($query);
$r0 = $q->fetchRow();



$query = "SELECT * FROM strings WHERE page_id=".$r0['page_id']." ORDER BY line_no";
$q = $DB->query($query);

if ($q->numrows()==0) {
    include BABEL_TEMPLATES . '/strings/empty.inc';
} else {
    include BABEL_TEMPLATES . '/strings/count.inc';

	$shown = 0;
	while ($r=$q->fetchrow()) {

		$query2 = sprintf("SELECT translation, db_revision FROM translations WHERE string_id=%d AND lang='%s'",
			$r['string_id'],
			$lang
		);
		$q2 = $DB->query($query2);
		if ($q2->numrows()!=0) {
			$r2 = $q2->fetchrow();
			$r = array_merge($r, $r2);
		} else {
			$r['translation'] = null;
			$r['db_revision'] = null;
		}

		$actions = array();
        $args = array('page_id' => $r0['page_id'], 'string_id' => $r['string_id']);
		$actions[] = Horde::link(Babel::url('translate', '', $args)) . Horde::img('edit.png') . '</a>';

        include BABEL_TEMPLATES . '/strings/row.inc';

		$shown++;

	}
}

require BABEL_TEMPLATES . '/strings/footer.inc';
require $registry->get('templates', 'horde') . '/common-footer.inc';
